<?php
/* Inspired from Autoload from version 1.2 */

spl_autoload_register(
  function ($class)
  {
      static $classes = NULL;
      static $path = NULL;

      if ($classes === NULL) {
          $classes = array(
            'phpunit_framework_mockobject_builder_identity' => '/Framework/MockObject/Builder/Identity.php',
                'phpunit_framework_mockobject_builder_invocationmocker' => '/Framework/MockObject/Builder/InvocationMocker.php',
                'phpunit_framework_mockobject_builder_match' => '/Framework/MockObject/Builder/Match.php',
                'phpunit_framework_mockobject_builder_methodnamematch' => '/Framework/MockObject/Builder/MethodNameMatch.php',
                'phpunit_framework_mockobject_builder_namespace' => '/Framework/MockObject/Builder/Namespace.php',
                'phpunit_framework_mockobject_builder_parametersmatch' => '/Framework/MockObject/Builder/ParametersMatch.php',
                'phpunit_framework_mockobject_builder_stub' => '/Framework/MockObject/Builder/Stub.php',
                'phpunit_framework_mockobject_exception' => '/Framework/MockObject/Exception.php',
                'phpunit_framework_mockobject_generator' => '/Framework/MockObject/Generator.php',
                'phpunit_framework_mockobject_invocation' => '/Framework/MockObject/Invocation.php',
                'phpunit_framework_mockobject_invocation_object' => '/Framework/MockObject/Invocation/Object.php',
                'phpunit_framework_mockobject_invocation_static' => '/Framework/MockObject/Invocation/Static.php',
                'phpunit_framework_mockobject_invocationmocker' => '/Framework/MockObject/InvocationMocker.php',
                'phpunit_framework_mockobject_invokable' => '/Framework/MockObject/Invokable.php',
                'phpunit_framework_mockobject_matcher' => '/Framework/MockObject/Matcher.php',
                'phpunit_framework_mockobject_matcher_anyinvokedcount' => '/Framework/MockObject/Matcher/AnyInvokedCount.php',
                'phpunit_framework_mockobject_matcher_anyparameters' => '/Framework/MockObject/Matcher/AnyParameters.php',
                'phpunit_framework_mockobject_matcher_consecutiveparameters' => '/Framework/MockObject/Matcher/ConsecutiveParameters.php',
                'phpunit_framework_mockobject_matcher_invocation' => '/Framework/MockObject/Matcher/Invocation.php',
                'phpunit_framework_mockobject_matcher_invokedatindex' => '/Framework/MockObject/Matcher/InvokedAtIndex.php',
                'phpunit_framework_mockobject_matcher_invokedatleastonce' => '/Framework/MockObject/Matcher/InvokedAtLeastOnce.php',
                'phpunit_framework_mockobject_matcher_invokedcount' => '/Framework/MockObject/Matcher/InvokedCount.php',
                'phpunit_framework_mockobject_matcher_invokedrecorder' => '/Framework/MockObject/Matcher/InvokedRecorder.php',
                'phpunit_framework_mockobject_matcher_methodname' => '/Framework/MockObject/Matcher/MethodName.php',
                'phpunit_framework_mockobject_matcher_parameters' => '/Framework/MockObject/Matcher/Parameters.php',
                'phpunit_framework_mockobject_matcher_statelessinvocation' => '/Framework/MockObject/Matcher/StatelessInvocation.php',
                'phpunit_framework_mockobject_mockbuilder' => '/Framework/MockObject/MockBuilder.php',
                'phpunit_framework_mockobject_mockobject' => '/Framework/MockObject/MockObject.php',
                'phpunit_framework_mockobject_stub' => '/Framework/MockObject/Stub.php',
                'phpunit_framework_mockobject_stub_consecutivecalls' => '/Framework/MockObject/Stub/ConsecutiveCalls.php',
                'phpunit_framework_mockobject_stub_exception' => '/Framework/MockObject/Stub/Exception.php',
                'phpunit_framework_mockobject_stub_matchercollection' => '/Framework/MockObject/Stub/MatcherCollection.php',
                'phpunit_framework_mockobject_stub_return' => '/Framework/MockObject/Stub/Return.php',
                'phpunit_framework_mockobject_stub_returnargument' => '/Framework/MockObject/Stub/ReturnArgument.php',
                'phpunit_framework_mockobject_stub_returncallback' => '/Framework/MockObject/Stub/ReturnCallback.php',
                'phpunit_framework_mockobject_stub_returnself' => '/Framework/MockObject/Stub/ReturnSelf.php',
                'phpunit_framework_mockobject_stub_returnvaluemap' => '/Framework/MockObject/Stub/ReturnValueMap.php',
                'phpunit_framework_mockobject_verifiable' => '/Framework/MockObject/Verifiable.php'
          );

          $path = dirname(dirname(dirname(__FILE__)));
      }

      $cn = strtolower($class);

      if (isset($classes[$cn])) {
          require $path . $classes[$cn];
      }
  }
);
